function IterRefine

% First we load the matrix A and vectors b and xeaxact from the
% Variables.mat file
load('Variables.mat')
% You will also get a vector y, which you do not need to worry about, it is
% the grid on [h,sqrt(pi)-h], which we only use for plotting.

% Set the value of 1/lambda which we need to use the expression from
% subproblem c)
e = 0.0001;
% Maximum number of iterations
maxit = 1000;
% ... and the tolerance of the proximal algorithm
tol = 1e-5;

% Set the initial guess
xold = 

for i= 1:maxit
    % Compute the iterate using the proximal algorithm
    x = %
    % Compute the Inf norm of the error 
    err(i) = 
    % Provided the current and the previous iterate are close enough we
    % stop
    if ( ) < tol
       break
    else
       xold = x;
    end
end


% Plot of the error
figure(1)
semilogy(err)
title('Plot of the error on a logarithmic scale')
print -dpdf IterError

% Plotting the exact solution against the approximate solution
figure(2)
plot(y, xexact)
hold on
plot(y, x,'ro')
legend('Exact solution','Proximal solution')
print -dpdf IterRefine